## org.hibernate.loader.custom.sql
Class SQLQueryParser

    java.lang.Object
      org.hibernate.loader.custom.sql.SQLQueryParser

    public class SQLQueryParser

extends Object

Author:
  Gavin King, Max Andersen, Steve Ebersole, Paul Benedict

Nested Class Summary
`static class` `SQLQueryParser.ParameterSubstitutionRecognizer`

Constructor Summary
`SQLQueryParser(String queryString, org.hibernate.loader.custom.sql.SQLQueryParser.ParserContext context, SessionFactoryImplementor factory)`

Method Summary
`Map` `getNamedParameters()`
`String` `process()`
`boolean` `queryHasAliases()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryParser

    public SQLQueryParser(String queryString,
                          org.hibernate.loader.custom.sql.SQLQueryParser.ParserContext context,
                          SessionFactoryImplementor factory)

Method Detail

### getNamedParameters

    public Map getNamedParameters()

### queryHasAliases

    public boolean queryHasAliases()

### process

    public String process()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.